Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.mw.wst.common
Interface Protocols

public interface Protocols

Field Summary
`static java.lang.String` | `AtomicTransaction`
`static java.lang.String` | `BusinessActivityAtomic`
`static java.lang.String` | `BusinessActivityMixed`
`static java.lang.String` | `BusinessAgreementTermination`
`static java.lang.String` | `BusinessAgreementWithCoordinatorCompletion`
`static java.lang.String` | `BusinessAgreementWithParticipantCompletion`
`static java.lang.String` | `Completion`
`static java.lang.String` | `DurableTwoPhaseCommit`
`static java.lang.String` | `VolatileTwoPhaseCommit`

Field Detail

### AtomicTransaction

    public static final java.lang.String AtomicTransaction

See Also:
  Constant Field Values

### BusinessActivityAtomic

    public static final java.lang.String BusinessActivityAtomic

See Also:
  Constant Field Values

### BusinessActivityMixed

    public static final java.lang.String BusinessActivityMixed

See Also:
  Constant Field Values

### Completion

    public static final java.lang.String Completion

See Also:
  Constant Field Values

### DurableTwoPhaseCommit

    public static final java.lang.String DurableTwoPhaseCommit

See Also:
  Constant Field Values

### VolatileTwoPhaseCommit

    public static final java.lang.String VolatileTwoPhaseCommit

See Also:
  Constant Field Values

### BusinessAgreementWithParticipantCompletion

    public static final java.lang.String BusinessAgreementWithParticipantCompletion

See Also:
  Constant Field Values

### BusinessAgreementWithCoordinatorCompletion

    public static final java.lang.String BusinessAgreementWithCoordinatorCompletion

See Also:
  Constant Field Values

### BusinessAgreementTermination

    public static final java.lang.String BusinessAgreementTermination

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD